{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Debug Tests",
            "type": "cppdbg",
            "request": "launch",
            "preLaunchTask": "Build Tests - Debug",
            "program": "${workspaceFolder}/aruw-mcb-lite-project/build/tests/scons-debug/aruw-mcb-lite-project-tests.elf",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                }
            ]
        },
        {
            "name": "Debug Sim",
            "type": "cppdbg",
            "request": "launch",
            "preLaunchTask": "Build Sim - Debug",
            "program": "${workspaceFolder}/aruw-mcb-lite-project/build/sim/scons-debug/aruw-mcb-lite-project.elf",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                }
            ]
        },
        {
            "name": "Debug Hardware",
            "type": "cortex-debug",
            "request": "launch",
            "servertype": "openocd",
            "cwd": "${workspaceRoot}",
            "preLaunchTask": "Program - Debug",
            "executable": "./aruw-mcb-lite-project/build/hardware/scons-debug/aruw-mcb-lite-project.elf",
            "device": "STM32F427II",
            "configFiles": [
                "./aruw-mcb-lite-project/openocd.cfg"
            ]
        }
    ]
}